Bug 178797 - [PATCH] devel/git: properly install git-subtree
[PATCH] devel/git: properly install git-subtree
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 21:50 UTC by amdmi3
Modified: 2013-06-13 01:40 UTC (History)
1 user (show)

See Also:


Attachments
git-1.8.2.3_1.patch (1.64 KB, patch)
2013-05-20 21:50 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-05-20 21:50:01 UTC
Currently git-subtree subcommand is installed along with the rest of contrib/ into share/git-core, but this is not sufficient to make it runnable is in `git subtree ...`.
The patch attached makes it install into proper locations so it works out of box.

Testing shows that it works without problems.

The REINPLACE which changes interpreter for git-subtree from /bin/bash to /bin/sh was also submitted upstream.

Port maintainer (wxs@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-20 21:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-13 01:30:11 UTC
Author: wxs
Date: Thu Jun 13 00:30:02 2013
New Revision: 320731
URL: http://svnweb.freebsd.org/changeset/ports/320731

Log:
  Update to 1.8.3.1
  Properly install git-subtree [1]
  
  PR:		[1] ports/178797
  Submitted by:	amdmi3@

Modified:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/files/patch-Makefile   (contents, props changed)
  head/devel/git/pkg-plist

Modified: head/devel/git/Makefile
==============================================================================
--- head/devel/git/Makefile	Thu Jun 13 00:06:17 2013	(r320730)
+++ head/devel/git/Makefile	Thu Jun 13 00:30:02 2013	(r320731)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	git
-PORTVERSION=	1.8.2.3
+PORTVERSION=	1.8.3.1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
@@ -327,6 +327,9 @@ IGNORE=	using GITWEB support requires PE
 
 .if ${PORT_OPTIONS:MCONTRIB}
 PLIST_SUB+=	CONTRIB=""
+BUILD_DEPENDS+=	xmlto:${PORTSDIR}/textproc/xmlto \
+		asciidoc:${PORTSDIR}/textproc/asciidoc
+MAN1+=		git-subtree.1
 .else
 PLIST_SUB+=	CONTRIB="@comment "
 .endif
@@ -387,6 +390,8 @@ post-patch:
 .endif
 .if empty(PORT_OPTIONS:MP4)
 	@${REINPLACE_CMD} -e '/^SCRIPT_PYTHON += git-p4.py$$/d' ${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|' \
+		${WRKSRC}/contrib/subtree/git-subtree.sh
 .endif
 
 post-build:
@@ -427,10 +432,12 @@ post-install:
 	@${ECHO_MSG} "===> Installing contributed scripts"
 	${MKDIR} ${PREFIX}/share/git-core/contrib
 	${CP} -R ${WRKSRC}/contrib/* ${PREFIX}/share/git-core/contrib
+	cd ${WRKSRC}/contrib/subtree && ${SETENV} ${MAKE_ENV} \
+		${GMAKE} ${MAKE_FLAGS} Makefile ${MAKE_ARGS} install install-doc
 .endif
 .if ${PORT_OPTIONS:MP4}
 	${INSTALL_SCRIPT} ${WRKSRC}/contrib/p4import/git-p4import ${PREFIX}/bin/
-	${INSTALL_SCRIPT} ${WRKSRC}/git-p4 ${PREFIX}/bin/
+	${INSTALL_SCRIPT} ${WRKSRC}/git-p4.py ${PREFIX}/bin/
 .endif
 .if ${PORT_OPTIONS:METCSHELLS}
 	@${ECHO_MSG} "===> Updating ${SHELLS}"

Modified: head/devel/git/distinfo
==============================================================================
--- head/devel/git/distinfo	Thu Jun 13 00:06:17 2013	(r320730)
+++ head/devel/git/distinfo	Thu Jun 13 00:30:02 2013	(r320731)
@@ -1,6 +1,6 @@
-SHA256 (git-1.8.2.3.tar.gz) = ba8d42d47b0955b17905af0133b01ab8e3f28f0e39b9967ec446403c0b49991f
-SIZE (git-1.8.2.3.tar.gz) = 4405610
-SHA256 (git-manpages-1.8.2.3.tar.gz) = 8e91d7a49cda92ed999eb9632ae3f0f22b1910e54de58c9e53107687c18f1414
-SIZE (git-manpages-1.8.2.3.tar.gz) = 537688
-SHA256 (git-htmldocs-1.8.2.3.tar.gz) = 99546c3b96f0d3501e7a2bc69e22d5d61be4693164a252e30850d13729331099
-SIZE (git-htmldocs-1.8.2.3.tar.gz) = 2097410
+SHA256 (git-1.8.3.1.tar.gz) = ea2dde231b3f659da92dd0afc092a16720d63f1206cdcb271920e88f328bda83
+SIZE (git-1.8.3.1.tar.gz) = 4470932
+SHA256 (git-manpages-1.8.3.1.tar.gz) = ab574826814b9469c91cdb99ecf5ad66228d0e30197e54881a4fe8ce0a17caba
+SIZE (git-manpages-1.8.3.1.tar.gz) = 542717
+SHA256 (git-htmldocs-1.8.3.1.tar.gz) = 0be04c5efc831bbc7b1d80707d953bf7e9d500037eb202f6fd042c0fff0538ea
+SIZE (git-htmldocs-1.8.3.1.tar.gz) = 2114248

Modified: head/devel/git/files/patch-Makefile
==============================================================================
--- head/devel/git/files/patch-Makefile	Thu Jun 13 00:06:17 2013	(r320730)
+++ head/devel/git/files/patch-Makefile	Thu Jun 13 00:30:02 2013	(r320731)
@@ -1,6 +1,6 @@
---- ./Makefile.orig	2012-02-18 15:17:14.650207401 -0500
-+++ ./Makefile	2012-02-18 15:19:42.390202289 -0500
-@@ -301,8 +301,8 @@
+--- Makefile.orig	2013-06-12 14:17:51.000000000 -0400
++++ Makefile	2013-06-12 14:24:27.000000000 -0400
+@@ -349,8 +349,8 @@
  
  # CFLAGS and LDFLAGS are for the users to override from the command line.
  
@@ -11,12 +11,12 @@
  ALL_CFLAGS = $(CPPFLAGS) $(CFLAGS)
  ALL_LDFLAGS = $(LDFLAGS)
  STRIP ?= strip
-@@ -322,15 +322,15 @@
+@@ -372,15 +372,15 @@
  prefix = $(HOME)
  bindir_relative = bin
  bindir = $(prefix)/$(bindir_relative)
--mandir = share/man
--infodir = share/info
+-mandir = $(prefix)/share/man
+-infodir = $(prefix)/share/info
 +mandir = $(prefix)/man
 +infodir = $(prefix)/info
  gitexecdir = libexec/git-core
@@ -26,12 +26,12 @@
 +gitwebdir = $(sharedir)/examples/git/gitweb
  localedir = $(sharedir)/locale
  template_dir = share/git-core/templates
--htmldir = share/doc/git-doc
-+htmldir = share/doc/git
+-htmldir = $(prefix)/share/doc/git-doc
++htmldir = $(prefix)/share/doc/git
  ETC_GITCONFIG = $(sysconfdir)/gitconfig
  ETC_GITATTRIBUTES = $(sysconfdir)/gitattributes
  lib = lib
-@@ -339,21 +339,21 @@
+@@ -393,21 +393,21 @@
  
  export prefix bindir sharedir sysconfdir gitwebdir localedir
  
@@ -68,7 +68,7 @@
  
  export TCL_PATH TCLTK_PATH
  
-@@ -1438,9 +1438,9 @@
+@@ -1136,9 +1136,9 @@
  
  ifndef NO_OPENSSL
  	OPENSSL_LIBSSL = -lssl

Modified: head/devel/git/pkg-plist
==============================================================================
--- head/devel/git/pkg-plist	Thu Jun 13 00:06:17 2013	(r320730)
+++ head/devel/git/pkg-plist	Thu Jun 13 00:30:02 2013	(r320731)
@@ -1,5 +1,5 @@
 bin/git
-%%P4%%bin/git-p4
+%%P4%%bin/git-p4.py
 %%P4%%bin/git-p4import
 bin/git-upload-pack
 bin/git-receive-pack
@@ -174,6 +174,7 @@ libexec/git-core/git-stash
 libexec/git-core/git-status
 libexec/git-core/git-stripspace
 libexec/git-core/git-submodule
+%%CONTRIB%%libexec/git-core/git-subtree
 %%SVN%%libexec/git-core/git-svn
 libexec/git-core/git-symbolic-ref
 libexec/git-core/git-tag
@@ -999,6 +1000,8 @@ share/git-core/templates/info/exclude
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.2.1.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.2.2.txt
 %%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.2.3.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.3.txt
+%%HTMLDOCS%%%%DOCSDIR%%/RelNotes/1.8.3.1.txt
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/gitweb.cgi
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.js
 %%GITWEB%%%%EXAMPLESDIR%%/gitweb/static/gitweb.css
@@ -1030,6 +1033,10 @@ share/git-core/templates/info/exclude
 %%CONTRIB%%share/git-core/contrib/credential/gnome-keyring/Makefile
 %%CONTRIB%%share/git-core/contrib/credential/gnome-keyring/git-credential-gnome-keyring.c
 %%CONTRIB%%share/git-core/contrib/credential/gnome-keyring/.gitignore
+%%CONTRIB%%share/git-core/contrib/credential/netrc/Makefile
+%%CONTRIB%%share/git-core/contrib/credential/netrc/git-credential-netrc
+%%CONTRIB%%share/git-core/contrib/credential/netrc/test.netrc
+%%CONTRIB%%share/git-core/contrib/credential/netrc/test.pl
 %%CONTRIB%%share/git-core/contrib/credential/osxkeychain/Makefile
 %%CONTRIB%%share/git-core/contrib/credential/osxkeychain/git-credential-osxkeychain.c
 %%CONTRIB%%share/git-core/contrib/credential/osxkeychain/.gitignore
@@ -1182,6 +1189,7 @@ share/git-core/templates/info/exclude
 %%CONTRIB%%@dirrm share/git-core/contrib/convert-objects
 %%CONTRIB%%@dirrm share/git-core/contrib/credential/gnome-keyring
 %%CONTRIB%%@dirrm share/git-core/contrib/credential/osxkeychain
+%%CONTRIB%%@dirrm share/git-core/contrib/credential/netrc
 %%CONTRIB%%@dirrm share/git-core/contrib/credential/wincred
 %%CONTRIB%%@dirrm share/git-core/contrib/credential
 %%CONTRIB%%@dirrm share/git-core/contrib/diffall
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wesley Shields freebsd_committer 2013-06-13 01:30:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!